Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000414Piwigoconfigurationpublic2006.06.12 21:582012.03.10 22:37
ReporterEric B 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.0RC2 
Target Version2.4.0RC2Fixed in Version2.4.0RC2 
Summary0000414: synchronization, set more permitted characters for file names
DescriptionI have done again the change I made in my old 1.3 about the forbidden characters in filename. In the 1.6.0RC2, it is ca. the lines 243 and 435 of site_update.php, where I replaced the regex by:
l.243 if ( preg_match( '/^[a-zA-Z0-9-_.+&(),]+$/', $dir ) )
l.435 if (!preg_match( '/^[a-zA-Z0-9-_.+&(),]+$/', $filename ) )

What do you think about the possibility to set this characters in a panel in the administration?
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0002285)
mathiasm (manager)
2008.07.05 02:22

See also http://forum.phpwebgallery.net/viewtopic.php?id=13423 [^] where utf-8 and nowadays systems are more practical.
(0002596)
Eric B (reporter)
2009.05.13 16:50

still doing the same change in piwigo 2.0.2
Am I the only one who likes to have more possible characters in the filenames?
(0002597)
mathiasm (manager)
2009.05.13 23:37

Eric, you may not, but some of your proposed chars are badly supported under *niX.
Maybe we can define a box where one can add more chars than the default.
(0006107)
svn (reporter)
2012.03.10 22:34

[Subversion] r13527 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 414 (yes, a 6 years old request): ability to define the list of
permitted characters in file/directory names for synchronization.

- Issue History
Date Modified Username Field Change
2006.06.12 21:58 Eric B New Issue
2006.06.12 21:58 Eric B browser => any
2006.06.12 21:58 Eric B Web server => Apache 1.3.x
2008.07.05 02:22 mathiasm Note Added: 0002285
2009.05.13 16:50 Eric B Note Added: 0002596
2009.05.13 23:37 mathiasm Note Added: 0002597
2012.03.10 22:33 plg Summary Add a possibility to set more autorized characters. => synchronization, set more autorized characters for file names
2012.03.10 22:33 plg Status new => assigned
2012.03.10 22:33 plg Assigned To => plg
2012.03.10 22:34 svn Checkin
2012.03.10 22:34 svn Note Added: 0006107
2012.03.10 22:35 plg Status assigned => closed
2012.03.10 22:35 plg Resolution open => fixed
2012.03.10 22:35 plg Fixed in Version => 2.4.0RC2
2012.03.10 22:35 plg Target Version => 2.4.0RC2
2012.03.10 22:37 plg Summary synchronization, set more autorized characters for file names => synchronization, set more permitted characters for file names


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker